.q-bar--dark {
    background: hsla(0, 0%, 100%, 0.15)
}

.q-btn__progress--dark .q-btn__progress-indicator {
    background: rgba(0, 0, 0, 0.2)
}

.q-card--dark {
    border-color: hsla(0, 0%, 100%, 0.28)
}

.q-checkbox--dark .q-checkbox__inner {
    color: hsla(0, 0%, 100%, 0.7)
}

.q-checkbox--dark .q-checkbox__inner:before {
    opacity: .32 !important
}

.q-checkbox--dark .q-checkbox__inner--indet,
.q-checkbox--dark .q-checkbox__inner--truthy {
    color: #fff;
    color: var(--q-color-primary)
}

.q-chip--colored .q-chip__icon,
.q-chip--dark .q-chip__icon {
    color: inherit
}

.q-color-picker__header-content--dark {
    color: #fff
}

.q-color-picker__header-content--dark .q-tab--inactive:before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: hsla(0, 0%, 100%, 0.2)
}

.q-color-picker--dark .q-color-picker__tune-tab input {
    border: 1px solid hsla(0, 0%, 100%, 0.3)
}

.q-color-picker--dark .q-slider {
    color: #bdbdbd
}

.q-date--dark {
    border-color: hsla(0, 0%, 100%, 0.28)
}

.q-editor--dark {
    border-color: hsla(0, 0%, 100%, 0.28)
}

.q-editor--dark .q-editor__content hr {
    background: hsla(0, 0%, 100%, 0.28)
}

.q-editor--dark .q-editor__toolbar {
    border-color: hsla(0, 0%, 100%, 0.28)
}

.q-editor--dark .q-editor__toolbar-group+.q-editor__toolbar-group:before {
    background: hsla(0, 0%, 100%, 0.28)
}

.q-field--filled.q-field--dark .q-field__control,
.q-field--filled.q-field--dark .q-field__control:before {
    background: hsla(0, 0%, 100%, 0.07)
}

.q-field--filled.q-field--dark.q-field--focused .q-field__control:before {
    background: hsla(0, 0%, 100%, 0.1)
}

.q-field--dark .q-field__control:before {
    border-color: hsla(0, 0%, 100%, 0.6)
}

.q-field--dark .q-field__control:hover:before {
    border-color: #fff
}

.q-field--dark .q-field__input,
.q-field--dark .q-field__native,
.q-field--dark .q-field__prefix,
.q-field--dark .q-field__suffix {
    color: #fff
}

.q-field--dark .q-field__bottom,
.q-field--dark .q-field__marginal,
.q-field--dark:not(.q-field--focused) .q-field__label {
    color: hsla(0, 0%, 100%, 0.7)
}

.q-field--standout.q-field--dark .q-field__control,
.q-field--standout.q-field--dark .q-field__control:before {
    background: hsla(0, 0%, 100%, 0.07)
}

.q-field--standout.q-field--dark.q-field--focused .q-field__control {
    background: #fff
}

.q-field--standout.q-field--dark.q-field--focused .q-field__append,
.q-field--standout.q-field--dark.q-field--focused .q-field__input,
.q-field--standout.q-field--dark.q-field--focused .q-field__native,
.q-field--standout.q-field--dark.q-field--focused .q-field__prefix,
.q-field--standout.q-field--dark.q-field--focused .q-field__prepend,
.q-field--standout.q-field--dark.q-field--focused .q-field__suffix {
    color: #000
}

.q-field--standout.q-field--dark.q-field--readonly .q-field__control:before {
    border-color: hsla(0, 0%, 100%, 0.24)
}

.q-inner-loading--dark {
    background: rgba(0, 0, 0, 0.4)
}

.q-list--dark.q-list--separator>.q-item-type+.q-item-type,
.q-list--dark.q-list--separator>.q-virtual-scroll__content>.q-item-type+.q-item-type {
    border-top-color: hsla(0, 0%, 100%, 0.28)
}

.q-item--dark,
.q-list--dark {
    color: #fff;
    border-color: hsla(0, 0%, 100%, 0.28)
}

.q-item--dark .q-item__section--side:not(.q-item__section--avatar),
.q-list--dark .q-item__section--side:not(.q-item__section--avatar) {
    color: hsla(0, 0%, 100%, 0.7)
}

.q-item--dark .q-item__label--header,
.q-list--dark .q-item__label--header {
    color: hsla(0, 0%, 100%, 0.64)
}

.q-item--dark .q-item__label--caption,
.q-item--dark .q-item__label--overline,
.q-list--dark .q-item__label--caption,
.q-list--dark .q-item__label--overline {
    color: hsla(0, 0%, 100%, 0.8)
}

body.body--dark .q-drawer,
body.body--dark .q-footer,
body.body--dark .q-header {
    border-color: hsla(0, 0%, 100%, 0.28)
}

.q-linear-progress__track--dark {
    background: hsla(0, 0%, 100%, 0.6)
}

.q-radio--dark .q-radio__inner {
    color: hsla(0, 0%, 100%, 0.7)
}

.q-radio--dark .q-radio__inner:before {
    opacity: .32 !important
}

.q-radio--dark .q-radio__inner--truthy {
    color: #fff;
    color: var(--q-color-primary)
}

.q-separator--dark {
    background: hsla(0, 0%, 100%, 0.28)
}

.q-skeleton--dark {
    background: hsla(0, 0%, 100%, 0.05)
}

.q-skeleton--dark.q-skeleton--bordered {
    border: 1px solid hsla(0, 0%, 100%, 0.25)
}

.q-skeleton--dark.q-skeleton--anim-wave:after {
    background: linear-gradient(90deg, transparent, hsla(0, 0%, 100%, 0.1), transparent)
}

.q-skeleton--dark.q-skeleton--anim-blink:after {
    background: hsla(0, 0%, 100%, 0.2)
}

.q-slider--dark .q-slider__track-container {
    background: hsla(0, 0%, 100%, 0.3)
}

.q-slider--dark .q-slider__track-markers {
    color: #fff
}

.q-splitter--dark .q-splitter__separator {
    background-color: hsla(0, 0%, 100%, 0.28)
}

.q-stepper--dark .q-stepper__dot span {
    color: #000
}

.q-stepper--dark.q-stepper--bordered,
.q-stepper--dark .q-stepper__header--border {
    border-color: hsla(0, 0%, 100%, 0.28)
}

.q-stepper--dark.q-stepper--horizontal .q-stepper__line:after,
.q-stepper--dark.q-stepper--horizontal .q-stepper__line:before,
.q-stepper--dark.q-stepper--vertical .q-stepper__dot:after,
.q-stepper--dark.q-stepper--vertical .q-stepper__dot:before {
    background: hsla(0, 0%, 100%, 0.28)
}

.q-stepper--dark .q-stepper__tab--disabled {
    color: hsla(0, 0%, 100%, 0.28)
}

.q-stepper--dark .q-stepper__tab--disabled .q-stepper__dot {
    background: hsla(0, 0%, 100%, 0.28)
}

.q-stepper--dark .q-stepper__tab--disabled .q-stepper__label {
    color: hsla(0, 0%, 100%, 0.54)
}

.q-table--dark,
.q-table--dark .q-table__bottom,
.q-table--dark td,
.q-table--dark th,
.q-table--dark thead,
.q-table--dark tr,
.q-table__card--dark {
    border-color: hsla(0, 0%, 100%, 0.28)
}

.q-table--dark tbody td:before {
    background: hsla(0, 0%, 100%, 0.07)
}

.q-table--dark tbody td:after {
    background: hsla(0, 0%, 100%, 0.1)
}

.q-table--dark.q-table--cell-separator .q-table__top,
.q-table--dark.q-table--vertical-separator .q-table__top {
    border-color: hsla(0, 0%, 100%, 0.28)
}

.q-time--dark {
    border-color: hsla(0, 0%, 100%, 0.28)
}

.q-timeline--dark {
    color: #fff
}

.q-timeline--dark .q-timeline__subtitle {
    opacity: .7
}

.q-toggle--dark .q-toggle__inner {
    color: #fff
}

.q-toggle--dark .q-toggle__inner--truthy {
    color: #fff;
    color: var(--q-color-primary)
}

.q-toggle--dark .q-toggle__thumb:before {
    opacity: .32 !important
}

.q-tree--dark .q-tree__node-header-content {
    color: #fff
}

.q-uploader--dark,
.q-uploader--dark .q-uploader__file {
    border-color: hsla(0, 0%, 100%, 0.28)
}

.q-uploader--dark .q-uploader__dnd,
.q-uploader--dark .q-uploader__overlay {
    background: hsla(0, 0%, 100%, 0.3)
}

.q-uploader--dark .q-uploader__overlay {
    color: #fff
}

:root {
    --q-color-primary: #fff;
    --q-color-secondary: #4d5061;
    --q-color-accent: #e7e247;
    --q-color-positive: #03cea4;
    --q-color-negative: #fb4d3d;
    --q-color-info: #09b6cd;
    --q-color-warning: #fb4d3d;
    --q-color-dark: #1d1d1d
}

.text-dark {
    color: #1d1d1d !important;
    color: var(--q-color-dark) !important
}

.bg-dark {
    background: #1d1d1d !important;
    background: var(--q-color-dark) !important
}

.text-dark-separator {
    color: hsla(0, 0%, 100%, 0.28) !important
}

.bg-dark-separator {
    background: hsla(0, 0%, 100%, 0.28) !important
}

body.body--dark {
    color: #fff;
    background: #121212
}

.q-dark {
    color: #fff;
    background: #424242;
    background: var(--q-color-dark)
}

.body--dark .q-markdown {
    color: #f5f5f5
}

.body--dark .q-markdown code {
    background: #424242;
    color: #f5f5f5
}

.body--dark .q-markdown blockquote.q-markdown--note {
    border-color: #9e9e9e #9e9e9e;
    background: #1d1d1d;
    color: #f5f5f5
}

.body--dark .q-markdown pre,
.body--dark .q-markdown pre code {
    background: #1d1d1d
}

.body--dark .q-markdown .q-markdown--line-numbers-wrapper {
    background: #1d1d1d;
    color: #f5f5f5
}

.body--dark .q-markdown .q-markdown--token {
    background: #9e9e9e;
    color: #212121;
    border: 1px solid #e0e0e0
}

.body--dark .q-markdown .q-markdown--code {
    background: #1d1d1d;
    color: #212121
}

.body--dark .q-markdown .q-markdown--note {
    background: #212121;
    color: #fff;
    border-top: 1px solid #424242;
    border-bottom: 1px solid #424242
}

.body--dark .q-markdown .q-markdown--note-- {
    border-left: 10px solid #9e9e9e
}

.body--dark .q-markdown .q-markdown--note--info {
    border-left: 10px solid #01579b
}

.body--dark .q-markdown .q-markdown--note--tip {
    border-left: 10px solid #33691e
}

.body--dark .q-markdown .q-markdown--note--warning {
    border-left: 10px solid #e65100
}

.body--dark .q-markdown .q-markdown--note--danger {
    border-left: 10px solid #b71c1c
}

.body--dark .q-markdown .q-markdown--table tbody,
.body--dark .q-markdown .q-markdown--table thead tr th {
    background-color: #1d1d1d
}

.body--dark .q-markdown .q-markdown--table tbody tr:nth-child(odd) {
    background-color: #424242
}

.body--dark .q-calendar-daily {
    background: #616161
}

.body--dark .q-calendar-daily .q-calendar-daily__intervals-head {
    border-right: 1px solid #9e9e9e;
    border-bottom: 1px solid #9e9e9e
}

.body--dark .q-calendar-daily .q-calendar-daily__column-header--before {
    border-bottom: 1px solid #9e9e9e
}

.body--dark .q-calendar-daily .q-calendar-daily__column-header--after {
    border-top: 1px solid #9e9e9e
}

.body--dark .q-calendar-daily .q-calendar-daily__head-day {
    border-right: 1px solid #9e9e9e;
    border-bottom: 1px solid #9e9e9e;
    color: #616161
}

.body--dark .q-calendar-daily .q-calendar-daily__head-day.q-outside {
    background: #bebebe;
    color: #424242
}

.body--dark .q-calendar-daily .q-calendar-daily__head-day.q-current-day,
.body--dark .q-calendar-daily .q-calendar-daily__head-day.q-current-day .q-calendar-daily__head-day-label,
.body--dark .q-calendar-daily .q-calendar-daily__head-day.q-future-day,
.body--dark .q-calendar-daily .q-calendar-daily__head-day.q-future-day .q-calendar-daily__head-day-label {
    color: #ff6
}

.body--dark .q-calendar-daily .q-calendar-daily__head-day.q-past-day,
.body--dark .q-calendar-daily .q-calendar-daily__head-day.q-past-day .q-calendar-daily__head-day-label {
    color: #eee
}

.body--dark .q-calendar-daily .q-calendar-daily__intervals-body {
    border-right: 1px solid #9e9e9e
}

.body--dark .q-calendar-daily .q-calendar-daily__intervals-body .q-calendar-daily__interval-text {
    color: #fafafa
}

.body--dark .q-calendar-daily .q-calendar-daily__day {
    border-right: 1px solid #9e9e9e;
    border-bottom: 1px solid #9e9e9e
}

.body--dark .q-calendar-daily .q-calendar-daily__day-interval {
    border-top: 1px solid #9e9e9e
}

.body--dark .q-calendar-daily .q-calendar-daily__day-interval:first-child {
    border-top: none !important
}

.body--dark .q-calendar-daily__day-interval--droppable {
    border: 1px 1px dashed #9e9e9e
}

.body--dark .q-calendar-daily__day--droppable {
    border: 1px dashed #9e9e9e
}

.body--dark .q-calendar-weekly {
    background: #616161
}

.body--dark .q-calendar-weekly__head-weekday,
.body--dark .q-calendar-weekly__head-workweek {
    border-right: 1px solid #9e9e9e;
    border-bottom: 1px solid #9e9e9e;
    color: #ff6
}

.body--dark .q-calendar-weekly__workweek {
    border-right: 1px solid #9e9e9e;
    border-bottom: 1px solid #9e9e9e
}

.body--dark .q-calendar-weekly__workweek.q-past-day {
    color: #eee
}

.body--dark .q-calendar-weekly__workweek.q-future-day {
    color: #ffc
}

.body--dark .q-calendar-weekly__workweek.q-current-day {
    color: #ff6
}

.body--dark .q-calendar-weekly__day {
    border-right: 1px solid #9e9e9e;
    border-bottom: 1px solid #9e9e9e;
    color: #ff6
}

.body--dark .q-calendar-weekly__day.q-outside {
    background: #bebebe;
    color: #424242
}

.body--dark .q-calendar-weekly__day.q-future-day {
    color: #ffc
}

.body--dark .q-calendar-weekly__day.q-current-day .q-calendar-weekly__day-label {
    font-weight: 400;
    color: #ff6
}

.body--dark .q-calendar-weekly__day.q-current-day .q-calendar-weekly__day-month,
.body--dark .q-calendar-weekly__day.q-current-day .q-calendar-weekly__day-month--day-of-year {
    color: currentColor
}

.body--dark .q-calendar-weekly__day.q-past-day {
    color: #eee
}

.body--dark .q-calendar-weekly__day--droppable {
    border-right: 1px dashed #ff6
}

.body--dark .q-calendar-mini .q-calendar-weekly__day {
    color: #fff
}

.body--dark .q-calendar-mini .q-calendar-weekly__day.q-future-day,
.body--dark .q-calendar-mini .q-calendar-weekly__day.q-past-day {
    color: #eee
}

.body--dark .q-calendar-mini .q-calendar-weekly__day.q-selected-date,
.body--dark .q-calendar-mini .q-calendar-weekly__day.q-selected-day {
    color: #fff !important
}

.body--dark .q-calendar-mini .q-calendar-weekly__day.q-selected-date:before,
.body--dark .q-calendar-mini .q-calendar-weekly__day.q-selected-day:before {
    background: #393939
}

.body--dark .q-calendar-mini .q-calendar-weekly__day.q-current-day .q-calendar-weekly__day-label .q-btn__wrapper:before {
    border-color: #ff6
}

.body--dark .q-calendar-scheduler,
.q-dark .q-calendar-scheduler {
    background: #616161
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__resources-head,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__resources-head {
    border-right: 1px solid #9e9e9e;
    border-bottom: 1px solid #9e9e9e
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__column-header--before,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__column-header--before {
    border-bottom: 1px solid #9e9e9e
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__column-header--after,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__column-header--after {
    border-top: 1px solid #9e9e9e
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__head-day,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__head-day {
    border-right: 1px solid #9e9e9e;
    border-bottom: 1px solid #9e9e9e;
    color: #ff6
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__head-day.q-outside,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__head-day.q-outside {
    background: #bebebe;
    color: #424242
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__head-day.q-future-day .q-calendar-scheduler__head-day-label,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__head-day.q-future-day .q-calendar-scheduler__head-day-label {
    color: #ff6
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__head-day.q-current-day .q-calendar-scheduler__head-day-label,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__head-day.q-current-day .q-calendar-scheduler__head-day-label {
    border: 2px solid currentColor;
    color: #ff6
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__head-day.q-past-day .q-calendar-scheduler__head-weekday,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__head-day.q-past-day .q-calendar-scheduler__head-weekday {
    color: #eee
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__resources-body,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__resources-body {
    border-right: 1px solid #9e9e9e
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__resources-body .q-calendar-scheduler__resource-text,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__resources-body .q-calendar-scheduler__resource-text {
    color: #fafafa
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__day,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__day {
    border-right: 1px solid #9e9e9e;
    border-bottom: 1px solid #9e9e9e
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__resource,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__resource {
    border-top: 1px solid #9e9e9e;
    color: #ff6
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__resource:first-child,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__resource:first-child {
    border-top: none !important
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__resource:last-child,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__resource:last-child {
    border-bottom: 1px solid #9e9e9e
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__day-resource,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__day-resource {
    border-top: 1px solid #9e9e9e;
    color: #fafafa
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__day-resource:first-child,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__day-resource:first-child {
    border-top: none !important
}

.body--dark .q-calendar-scheduler .q-calendar-scheduler__day-resource:last-child,
.q-dark .q-calendar-scheduler .q-calendar-scheduler__day-resource:last-child {
    border-bottom: 1px solid #9e9e9e
}

.body--dark .q-calendar-scheduler__day-resource--droppable,
.q-dark .q-calendar-scheduler__day-resource--droppable {
    border: 1px dashed #ff6
}

.border-color-dark {
    border-color: #424242
}